Package ru.bitel.bgbilling.modules.smarthouse.common.event

# Class ForpostRtspTransportModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ForpostPtzType>
ru.bitel.bgbilling.modules.smarthouse.common.event.ForpostRtspTransportModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class ForpostRtspTransportModifiedEvent extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ForpostPtzType>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `newItem, oldItem`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ForpostRtspTransportModifiedEvent()`
  ``
  `ForpostRtspTransportModifiedEvent(int moduleId, int userId, ForpostPtzType oldItem, ForpostPtzType newItem)`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

  `getNewItem, getOldItem`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ForpostRtspTransportModifiedEvent

    protected ForpostRtspTransportModifiedEvent()

  - ### ForpostRtspTransportModifiedEvent

    public ForpostRtspTransportModifiedEvent(int moduleId, int userId, ForpostPtzType oldItem, ForpostPtzType newItem)